﻿"use strict";

$(function() {
	var display = document.getElementById("display");
	var controller;

	$("#display").mousemove(function(event) {
		controller.onMouseMove(event.pageX - display.offsetLeft, event.pageY - display.offsetTop);
	});
	$("#display").mousedown(function(event) {
		controller.onMouseDown(event.pageX - display.offsetLeft, event.pageY - display.offsetTop);
	});

	var context = display.getContext("2d");
	var xSize = parseInt($("#display").attr("width"));
	var ySize = parseInt($("#display").attr("height"));
	controller = new Controller(display, context, xSize, ySize);
	controller.start();
});



function randomBetween(min, max) {
	return Math.floor(Math.random() * (max - min + 1)) + min;
}



function randomBelow(max) {
	return Math.floor(Math.random() * max);
}